Subject: Re: [ANNOUNCE] GIT 1.6.5.2

From: Jakub Narebski <[email-masked]>
Date: Wed, 11 Nov 2009 23:23:56 +0100

On Wed, 11 Nov 2009, Todd Zullinger wrote:
> Jakub Narebski wrote:
> > Junio C Hamano <[email-masked]> writes:
> >
> > > The RPM binary packages for a few architectures are found in:
> > >
> > >   RPMS/$arch/git-*-1.6.5.2-1.fc9.$arch.rpm	(RPM)
> >
> > I tried to install git from source RPM... and failed:
> >
> >   $ rpmbuild --rebuild git-1.6.5.2-1.fc11.src.rpm
> >   Installing git-1.6.5.2-1.fc11.src.rpm
> >   warning: user junio does not exist - using root
> >   warning: group junio does not exist - using root
> >   error: unpacking of archive failed on file
> >     /home/local/builddir/SOURCES/git-1.6.5.2.tar.gz;
> >     4afb1f6a: cpio: MD5 sum mismatch
> >   error: git-1.6.5.2-1.fc11.src.rpm cannot be installed
> >
> > Error messages are line wrapped for better readibility.
>
> It looks like the kernel.org builders are now using Fedora 11 to
> create the packages.  Unfortunately, there were backward-incompatible
> changes in rpm.  Stronger hashes are now used and older rpm versions
> do not understand these, leading to the error you got.

Thanks for an information.  

Well, it looks like I would have to use "make rpm" to generate RPM
to install, at least until I finally upgrade my Linux distribution.

-- 
Jakub Narebski
Poland